跳转到主要内容
GET
https://api.aisa.one/apis/v1
/
agentmail
/
drafts
/
{draft_id}
获取草稿
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/drafts/{draft_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/agentmail/drafts/{draft_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/agentmail/drafts/{draft_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "inbox_id": "<string>",
  "draft_id": "<string>",
  "labels": [
    "<string>"
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "client_id": "<string>",
  "reply_to": [
    "<string>"
  ],
  "to": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "subject": "<string>",
  "preview": "<string>",
  "text": "<string>",
  "html": "<string>",
  "attachments": [
    {
      "attachment_id": "<string>",
      "size": 123,
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>"
    }
  ],
  "in_reply_to": "<string>",
  "references": [
    "<string>"
  ],
  "send_at": "2023-11-07T05:31:56Z"
}
{
"name": "<string>",
"message": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

Authorization
string
必填

Bearer 身份验证

路径参数

draft_id
string
必填

草稿 ID。

响应

状态码为 200 的响应

inbox_id
string
必填

收件箱的 ID。

draft_id
string
必填

草稿 ID。

labels
string[]
必填

草稿标签。

updated_at
string<date-time>
必填

草稿的最后更新时间。

created_at
string<date-time>
必填

草稿创建时间。

client_id
string

草稿的客户端 ID。

reply_to
string[]

回复地址。格式为 username@domain.comDisplay Name <username@domain.com>

to
string[]

收件人地址。格式为 username@domain.comDisplay Name <username@domain.com>

cc
string[]

抄送收件人的地址。格式为 username@domain.comDisplay Name <username@domain.com>

bcc
string[]

BCC 收件人的地址。格式为 username@domain.comDisplay Name <username@domain.com>

subject
string

草稿主题。

preview
string

草稿文本预览。

text
string

草稿的纯文本正文。

html
string

草稿的 HTML 正文。

attachments
Attachment · object[]

草稿中的附件。

in_reply_to
string

被回复消息的 ID。

references
string[]

会话串中先前消息的 ID。

send_status
enum<string>

草稿的定时发送状态。

可用选项:
scheduled,
sending,
failed
send_at
string<date-time>

计划发送草稿的时间。